# Uses of Interface
org.xnio.conduits.MessageSinkConduit

Packages that use MessageSinkConduit
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.conduits
The XNIO conduit SPI.
org.xnio.sasl
Utility classes for using SASL mechanisms atop NIO or XNIO APIs.

## Uses of MessageSinkConduit in org.xnio

Methods in org.xnio with parameters of type MessageSinkConduit
Modifier and Type
Method
Description
`protected void`
MessageConnection.`setSinkConduit(MessageSinkConduit conduit)`

## Uses of MessageSinkConduit in org.xnio.conduits

Classes in org.xnio.conduits with type parameters of type MessageSinkConduit
Modifier and Type
Class
Description
`class`
`AbstractMessageSinkConduit<D extends MessageSinkConduit>`
An abstract base class for filtering message sink conduits.
Classes in org.xnio.conduits that implement MessageSinkConduit
Modifier and Type
Class
Description
`class`
`AbstractMessageSinkConduit<D extends MessageSinkConduit>`
An abstract base class for filtering message sink conduits.
`final class`
`FramingMessageSinkConduit`
A message sink conduit which implements a simple message framing protocol over a stream conduit.
`final class`
`SynchronizedMessageSinkConduit`
A synchronized message sink conduit.
Methods in org.xnio.conduits that return MessageSinkConduit
Modifier and Type
Method
Description
`MessageSinkConduit`
ConduitWritableMessageChannel.`getConduit()`
Get the underlying conduit for this channel.
Methods in org.xnio.conduits with parameters of type MessageSinkConduit
Modifier and Type
Method
Description
`static boolean`
Conduits.`sendFinalBasic(MessageSinkConduit conduit, ByteBuffer src)`
Writes a message to the conduit, and terminates writes if the send was successfully.
`static boolean`
Conduits.`sendFinalBasic(MessageSinkConduit conduit, ByteBuffer[] srcs, int offset, int length)`
Writes a message to the conduit, and terminates writes if the send was successfully.
`void`
ConduitWritableMessageChannel.`setConduit(MessageSinkConduit conduit)`
Set the underlying conduit for this channel.
Constructors in org.xnio.conduits with parameters of type MessageSinkConduit
Modifier
Constructor
Description
``
`ConduitWritableMessageChannel(Configurable configurable, MessageSinkConduit conduit)`
Construct a new instance.
``
`MessageStreamSinkConduit(MessageSinkConduit next)`
Construct a new instance.
``
`SynchronizedMessageSinkConduit(MessageSinkConduit next)`
Construct a new instance.
``
`SynchronizedMessageSinkConduit(MessageSinkConduit next, Object lock)`
Construct a new instance.

## Uses of MessageSinkConduit in org.xnio.sasl

Classes in org.xnio.sasl that implement MessageSinkConduit
Modifier and Type
Class
Description
`final class`
`SaslUnwrappingConduit`
`final class`
`SaslWrappingConduit`
Constructors in org.xnio.sasl with parameters of type MessageSinkConduit
Modifier
Constructor
Description
``
`SaslUnwrappingConduit(MessageSinkConduit next, SaslWrapper wrapper)`
``
`SaslWrappingConduit(MessageSinkConduit next, SaslWrapper wrapper)`